org.eclipse.ease.service

## Class ScriptType

- java.lang.Object
- - org.eclipse.ease.service.ScriptType

    public class ScriptType
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`ScriptType(IConfigurationElement configurationElement)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals(java.lang.Object obj)`
`ICodeFactory` `getCodeFactory()`
`ICodeParser` `getCodeParser()`
`java.util.Collection<java.lang.String>` `getContentTypes()`
`EngineDescription` `getDebugEngine()`
`java.lang.String` `getDefaultExtension()`
`EngineDescription` `getEngine()`
`java.util.List<EngineDescription>` `getEngines()` Get available engines.
`java.lang.String` `getName()`
`int` `hashCode()`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ScriptType

    public ScriptType(IConfigurationElement configurationElement)

### Method Detail

#### getName

    public java.lang.String getName()

#### getDefaultExtension

    public java.lang.String getDefaultExtension()

#### getContentTypes

    public java.util.Collection<java.lang.String> getContentTypes()

#### getCodeParser

    public ICodeParser getCodeParser()

#### getCodeFactory

    public ICodeFactory getCodeFactory()

#### getEngines

    public java.util.List<EngineDescription> getEngines()

Get available engines. Returns available script engine descriptions sorted by priority (highest first).

Returns:
  available engines

#### getEngine

    public EngineDescription getEngine()

#### getDebugEngine

    public EngineDescription getDebugEngine()

#### equals

    public boolean equals(java.lang.Object obj)

Overrides:
  `equals` in class `java.lang.Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `java.lang.Object`